Printago API
GET
/v1/part-build-steps/{id}
Get a specific part build step by ID
Path Parameters
id
required
string
- Part build step identifier
Response Schema
PartBuildStep
builderrequired
"slic3r" | "openscad" | "cadquery" | "text3mf"
slic3ropenscadcadquerytext3mf
cachedBuildStepIdrequirednullable
string
pattern: ^[a-z0-9]{24}$
cachedOutputFilerequirednullable
string
completedAtrequirednullable
string
format: date-time
createdAtrequired
string
format: date-time
dismissedrequired
boolean
idrequired
string
pattern: ^[a-z0-9]{24}$
inputFilesrequired
string[]
min items: 1
inputHashrequirednullable
string
inputParametersoptional
object
Variant 1OpenSCADInputParameters
buildVariablesoptional
string[]
colorsoptional
object[]
colorrequired
string
indexrequired
number
typerequirednullable
string
Variant 2CadQueryInputParameters
modeoptional
"step" | "script"
"step" tessellates the input STEP file instead of running a script.
stepscript
paramsoptional
Record<string, any>
Construct a type with a set of properties K of type T
Variant 3Text3MFInputParameters
occurrenceSubstitutionsoptional
object[]
Instance-addressed replacements; they win over the name-keyed map.
instanceIdrequired
number
0-based instance index among the object's build items.
keyrequired
string
Slot key (a `PrintagoParam*` volume name).
objectIdrequired
string
`model_settings.config` object id of the target object definition.
textrequired
string
outputFilesoptional
string[]
sizingoptional
Record<string, "stretch" | "fit" | "unconstrained">
Construct a type with a set of properties K of type T
substitutionsoptional
Record<string, string>
Construct a type with a set of properties K of type T
logsrequired
string[]
nextStepIdrequirednullable
string
pattern: ^[a-z0-9]{24}$
orderrequired
number
min: 0
outputFilesrequired
string[]
min items: 1
partBuildIdrequired
string
pattern: ^[a-z0-9]{24}$
requiresAssignedPrinterrequired
boolean
startedAtrequirednullable
string
format: date-time
statusrequired
enum
pendingrunningsuccesserrorcancelledcachedforce_running
storeIdrequired
string
pattern: ^[a-z0-9]{24}$
updatedAtrequired
string
format: date-time
Example Response
200 OK — application/json
{
"partBuildId": "string",
"order": 0,
"builder": "slic3r",
"inputFiles": [
"string"
],
"inputParameters": {
"buildVariables": [
"string"
],
"colors": [
{
"index": 1,
"color": "string",
"type": "string"
}
]
},
"inputHash": "string",
"cachedBuildStepId": "string",
"cachedOutputFile": "string",
"outputFiles": [
"string"
],
"status": "pending",
"logs": [
"string"
],
"requiresAssignedPrinter": true,
"nextStepId": "string",
"startedAt": "2025-01-15T12:00:00.000Z",
"completedAt": "2025-01-15T12:00:00.000Z",
"dismissed": true,
"id": "string",
"storeId": "string",
"createdAt": "2025-01-15T12:00:00.000Z",
"updatedAt": "2025-01-15T12:00:00.000Z"
}